# A simple shader for AZUR aiming at computing the Mandelbrot and the Julia fractal sets

## What is this addin doing ?  

This small demo is based on [Azur](https://gitea.planet-casio.com/Lephenixnoir/Azur). It uses its ultra fast rendering pipeline with specific shaders :
- Mandelbrot shader written in ASM by Lephe'
- Julia shader written in C with the libnum fast fixed point arithmetic lib

Both Mandelbrot - *named as per Benoît MANDELBROT (1924-2010)* - and Julia - *named as per Gaston JULIA (1893-1978)* - fractals are based on the convergence determination of the equation `Z_(n+1) = Z_n^2 + C`.

##  What can we do ?

Control keys are :
[**EXIT**] to leave to the Operating System
[**F1**] to [**F4**] to show/switch off some informations on the screen :
 - [ ] [F1] : hide everything
 - [ ] [F2] : minimal output FPS + rendering time
 - [ ] [F3] : detailed update/rendering time
 - [ ] [F4] : memory usage
[**F5**]/[**F6**] : switch fractal mode
 - [ ] [F5] : set Mandelbrot fractal
 - [ ] [F6] : set Julia fractal

  Have fun !!!
